type AnyFunction = (...arg: any) => any;
export type EventBindingArgs = [
    (EventTarget | undefined) | (EventTarget | undefined)[],
    string | string[],
    AnyFunction,
    Record<string, unknown>?
];
/**
 * Add event(s) to element(s).
 * @param elements DOM-Elements
 * @param events Event names
 * @param fn Callback
 * @param options Optional options
 * @return Array passed arguments
 */
export declare const on: (items: (EventTarget | undefined) | (EventTarget | undefined)[], events: string | string[], fn: AnyFunction, options?: {}) => EventBindingArgs;
/**
 * Remove event(s) from element(s).
 * @param elements DOM-Elements
 * @param events Event names
 * @param fn Callback
 * @param options Optional options
 * @return Array passed arguments
 */
export declare const off: (items: (EventTarget | undefined) | (EventTarget | undefined)[], events: string | string[], fn: AnyFunction, options?: {}) => EventBindingArgs;
/**
 * Simplifies a touch / mouse-event
 * @param evt
 */
export declare const simplifyEvent: (evt: any) => {
    target: HTMLElement;
    x: number;
    y: number;
};
export {};
